<?php
/*
	van Wijhe Consultancy
	oktober 2012
	index.php
*/


//-----Het beschikbaar maken van de MySQL variabelen
	include ('config.php');

	
//-----Het beschikbaar maken van de functies
	include ('functies.php');

	
//-----Het netjes openen van een html file
	include('hoofd.php');

	
try
{	
	//-----Verzorgt de connectie naar MySQL
	$db = new PDO('mysql:host=localhost;dbname='.$database, $gebruiker, $wachtwoord);
	
	$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	

	//-----Nodig voor weergeven geen resultaat	
	$resultaat = '' ;
	
	//-----Het opzetten en uitvoeren van de vraagstelling
	$st = $db->prepare("SELECT * from ".$tabel." ORDER BY naam ASC ");
	$st->execute( array() );
	

	//-----Begin tabel met de werkelijke informatie
	echo '<table cellpadding="5" cellspacing="5" border="0">'."\n" ;	
		
	//-----Vanuit array $resultaat het toewijzen van variabelen aan de sub array $rij	
	foreach ( $st->fetchAll() as $rij )
	{	
		//-----
		echo '<tr>'."\n" ;
		echo '<td>' ;
		echo '<a href="wijzig.php?id='.$rij['id'].'">' ;
		echo $rij['mv'].' ' ;
		echo $rij['voorletters'].' ' ;
		if ( $rij['tussenvoegsel'] )
		{
			echo $rij['tussenvoegsel'].' ' ;		
		}
		echo $rij['naam'] ;
		echo '</a>' ;
		echo '</td>'."\n" ;
		echo '<td>'.$rij['straat'].' '.$rij['nummer'].'</td>'."\n" ;
		echo '<td>'.$rij['pc'].'</td>'."\n" ;
		echo '<td>'.$rij['woonplaats'].'</td>'."\n" ;
		echo '<td>'.$rij['telefoon'].'</td>'."\n" ;
		echo '<td>'.$rij['email'].'</td>'."\n" ;
		echo '<td>'.format_datum_2($rij['geb_datum']).'</td>'."\n" ;		
		echo '<td><a href="verwijder.php?id='.$rij['id'].'&naam='.$rij['naam'].'">' ;
		echo '<img src="./afbeeldingen/verwijder.png" width="22" border="0" alt="Verwijder adres" /></a>';
		echo '</td>'."\n" ;
		echo '</tr>'."\n" ;
		
		//-----Toewijzen van de variabele $resultaat als er records aanwezig zijn
		$resultaat = '1' ;		
		//-----/
	}	
		
	echo '</table>'."\n" ;	
	//-----/Einde tabel met de werkelijke informatie

	//-----Laat dit zien als er geen records zijn	
	if ( $resultaat != '1' )
	{
		//-----
		echo '<table cellspacing="5" cellpadding="5" border="0">'."\n" ;
		echo '<tr>'."\n" ;
		echo '<td valign="top" colspan=2> Er is niemand gevonden </td>'."\n" ;
		echo '</tr>'."\n" ;
		echo '</table>'."\n" ;	
		
		$resultaat = "" ;
		//-----/
	}
	//-----/		
}
catch(PDOException $e)
{
	//-----
    echo '<pre>'."\n" ;
    echo '<table cellspacing=0 cellpadding=0 border=0>' ;
    echo '<tr><td> &nbsp; File:  &nbsp; </td><td> &nbsp; ".$e->getFile()." &nbsp; </td></tr>'."\n" ;
    $foutmelding = $st->errorInfo() ;
	echo '<tr><td> &nbsp; Code melding: &nbsp;  </td><td> &nbsp; ".$foutmelding[1]." &nbsp; </td></tr>'."\n" ;		
	echo '<tr><td colspan=2> &nbsp; </td></tr>'."\n" ;		
	echo '<tr><td colspan=2> &nbsp; Neem aub. contact met de beheerder van deze website op,</td></tr>'."\n" ;	
	echo '<tr><td colspan=2> &nbsp; met vermelding van de naam van de file en de code melding.</td></tr>'."\n" ;	
	echo '</table>'."\n" ;	
    echo '</pre>'."\n" ;
	//-----/
}
//-----/


//-----Weergeven van de onderste balk - einde_nieuw
	include("einde_nieuw.php");

//-----/EINDE