<?php
/*
	van Wijhe Consultancy
	oktober 2012
	zoeken.php
*/


//-----Het beschikbaar maken van de MySQL variabelen
	include ('config.php');

	
//-----Het beschikbaar maken van de functies
	include ('functies.php');

	
//-----Het netjes openen van een html file
	include('hoofd.php');


//-----Laat lijst zien met gevonden personen
if ( !$_GET["uitgebreid"] )
{	
	//-----Nodig voor weergeven geen resultaat
	$resultaat = "" ;
				
	//-----try / catch
	try
	{	
		//-----Verzorg connectie naar MySQL
		$db_z = new PDO('mysql:host=localhost;dbname='.$database, $gebruiker, $wachtwoord);
		
		$db_z->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);


		//-----Maak veilige zoekstring	
		$veilig 		= schone_string( $_POST["zoeken"] );
		$zoekstring 	= "%".$veilig."%";
		
		// Het opzetten en uitvoeren van de vraagstelling
		$st_z = $db_z->prepare("SELECT * FROM ".$tabel." WHERE naam LIKE ? ");
		
		$st_z->execute( array( $zoekstring ) );
		
		// Vanuit array $resultaat het toewijzen van variabelen van de array $rij	
		foreach ( $st_z->fetchAll() as $rij )
		{
			echo "<table cellspacing=\"5\" cellpadding=\"5\" border=\"0\">\n";			
			echo "<tr>\n";
			echo "<td valign=\"top\"> Naam </td>\n";
			echo "<td>\n";
			echo "<a href=\"zoeken.php?uitgebreid=1&id=".$rij["id"]."\">";
			echo $rij["mv"]." ";
			echo $rij["voorletters"]." ";
			if ( isset($rij["tussenvoegsel"]) )
			{
				echo $rij["tussenvoegsel"]." " ;
			}			
			echo $rij["naam"];
			echo "</a>";
			echo "</td>\n";
			echo "</tr>\n";
			echo "</table>";			
			$resultaat = 1 ;
		}

		// Laat dit zien als er geen records zijn
		//		
		if ( $resultaat != 1 )
			{
			echo "<table cellspacing=\"5\" cellpadding=\"5\" border=\"0\">\n";
			echo "<tr>\n";
			echo "<td valign=\"top\" colspan=2> Er is niemand gevonden </td>\n";
			echo "</tr>\n";
			echo "</table>";	
			$resultaat = "" ;
			}	
			
		}
	catch(PDOException $e)
		{
	    echo "<pre>\n";
	    echo "Regel: ".$e->getLine()."<br>\n";
	    echo "Bestand: ".$e->getFile()."<br>\n";
	    echo "Foutmelding: ".$e->getMessage();
	    echo "</pre>\n";
		}	
	
	}

	// Laat individuele records zien
	//
else
	{
	// try / catch
	//
	try
		{	
		// Verzorg connectie naar MySQL
		$db_z = new PDO('mysql:host=localhost;dbname=adressen', $gebruiker, $wachtwoord);
		$db_z->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

		// Het opzetten en uitvoeren van de vraagstelling
		$st_z = $db_z->prepare("SELECT * FROM ".$tabel." WHERE id = ? ");
		$st_z->execute( array( $_GET["id"] ) );


		// Vanuit array $resultaat het toewijzen van variabelen van de array $rij	
		foreach ( $st_z->fetchAll() as $rij )
			{
			echo "<table cellspacing=\"5\" cellpadding=\"5\" border=\"0\">\n";
			echo "<tr>\n";
			echo "<td valign=\"top\"> Naam </td>\n";
			echo "<td>";
			echo $rij["mv"] ;
			echo "&nbsp;";
			echo $rij["voorletters"] ;
			if ( isset($rij["tussenvoegsel"]) )
				{
				echo "&nbsp;";
				echo $rij["tussenvoegsel"] ;
				}
			echo "&nbsp;";			
			echo $rij["naam"] ;
			echo "</td>\n";
			echo "</tr>\n";

			echo "<tr>\n";
			echo "<td valign=\"top\"> Adres </td>\n";
			echo "<td>";
			echo $rij["straat"] ;
			echo "&nbsp;" ;
			echo $rij["nummer"] ;			
			echo "</td>\n";
			echo "</tr>\n";

			echo "<tr>\n";
			echo "<td valign=\"top\"> PC / Woonplaats </td>\n";
			echo "<td>";
			echo $rij["pc"] ;
			echo "&nbsp;";
			echo "&nbsp;";
			echo $rij["woonplaats"] ;
			echo "</td>\n";
			echo "</tr>\n";

			echo "<tr>\n";
			echo "<td valign=\"top\"> Telefoon </td>\n";
			echo "<td>";
			echo $rij["telefoon"] ;
			echo "</td>\n";
			echo "</tr>\n";

			echo "<tr>\n";
			echo "<td valign=\"top\"> E-mail </td>\n";
			echo "<td>";
			echo $rij["email"] ;
			echo "</td>\n";
			echo "</tr>\n";

			echo "<tr>\n";
			echo "<td valign=\"top\"> Geboortedatum </td>\n";
			echo "<td>";
			echo $rij["geb_datum"] ;
			echo "</td>\n";
			echo "</tr>\n";

			echo "<tr>\n";
			echo "<td valign=\"top\"> Opm. </td>\n";
			echo "<td>";
			echo $rij["opm"] ;
			echo "</td>\n";
			echo "</tr>\n";
			
			echo "<tr>\n";
			echo "<td colspan=2> &nbsp; </td>\n";
			echo "</tr>\n";
			echo "</table>";			
			}
		}
	catch(PDOException $e)
		{
	    echo "<pre>\n";
	    echo "Regel: ".$e->getLine()."<br>\n";
	    echo "Bestand: ".$e->getFile()."<br>\n";
	    echo "Foutmelding: ".$e->getMessage();
	    echo "</pre>\n";
		}
	}

// Weergeven van de onderste balk
//
include("einde.2.php");

?>