
CREATE TABLE IF NOT EXISTS `adressen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mv` varchar(125) DEFAULT NULL,
  `voorletters` varchar(55) DEFAULT NULL,
  `voornaam` varchar(75) DEFAULT NULL,
  `tussenvoegsel` varchar(25) DEFAULT NULL,
  `naam` varchar(125) DEFAULT NULL,
  `straat` varchar(125) DEFAULT NULL,
  `nummer` varchar(25) DEFAULT NULL,
  `pc` varchar(10) DEFAULT NULL,
  `woonplaats` varchar(125) DEFAULT NULL,
  `telefoon` varchar(25) DEFAULT NULL,
  `email` varchar(75) DEFAULT NULL,
  `geb_datum` date DEFAULT '0000-00-00',
  `opm` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;

INSERT INTO `adressen` (`id`, `mv`, `voorletters`, `voornaam`, `tussenvoegsel`, `naam`, `straat`, `nummer`, `pc`, `woonplaats`, `telefoon`, `email`, `geb_datum`, `opm`) VALUES
(1, 'Dhr.', 'G', 'Gerard', '', 'Geradsen', 'Laan', '1', '1234 AA', 'Assen', '010 - 1234567', 'gerard@geradsen.nl', '1960-01-01', '<p>Opm.</p>'),
(2, 'Mw.', 'A', 'Anneke', 'van', 'Aarsen', 'Weg', '2', '2345 EE', 'Emmen', '020 - 2345678', 'anneke@vanaarsen.nl', '1980-12-12', '<p>opm</p>'),
(4, 'Mw.', 'C', 'Christina', 'van de', 'Haar', 'Laan ', '2', '1234 RE', 'Emmen', '1234 RE', 'christana@vandehaar.nl', '1960-02-02', '<p>opm.</p>'),
(6, 'Mw', 'T', 'Tine', '', 'Valk', 'laan', '12', '1234 EE', 'Bosch', '045 - 588659', 'tine@valk.nl', '1980-12-12', '<p>Opm.</p>'),
(7, 'Dhr.', 'P', 'Piet', '', 'Talens', 'Weg', '34', '4353 EE', 'Adam', '056 - 625252', 'piet@talens.nl', '1977-01-12', '<p>Opm.</p>'),
(8, 'Dhr', 'J', 'Jim', '', 'Smith', 'Main Street', '1010', '1234 RE', 'Main', '053 - 567990', 'jim@smith.com', '1980-01-28', '<p>Opm.</p>');

