<?php
/*
	van Wijhe Consultancy
	oktober 2008
	functies
*/


	//----- veilige_string
	function veilige_string ($string)
	{
		$veilig = htmlentities($string, ENT_QUOTES, "UTF-8") ;
		
		return $veilig ;
	}
	//-----/veilige_string

	
	//----- schone_string
	function schone_string($string)
	{
		$opgeschoond = preg_replace("/[^[:space:]a-zA-Z0-9*_.-]/", "", $string);
		
		return $opgeschoond ;
	}	
	//-----/schone_string		

	
	//----- format_datum_1
	function format_datum_1($geef_datum_1)
	{
		$jaar  = substr($geef_datum_1,6,4);
		$maand = substr($geef_datum_1,3,2);
		$dag   = substr($geef_datum_1,0,2);

		return($jaar.'-'.$maand.'-'.$dag);
	}
	//-----/format_datum_1

	
	//----- format_datum_2
	function format_datum_2($geef_datum_2)
	{
		$jaar  = substr($geef_datum_2,0,4);
		$maand = substr($geef_datum_2,5,2);
		$dag   = substr($geef_datum_2,8,2);

		return($dag.'-'.$maand.'-'.$jaar);	
	}
	//-----/format_datum_2
	
	
//-----/